Name:           auale
Version:        1.1.2
Release:        %mkrel 3
Summary:        A free mancala game for the serious player
Group:          Games/Boards
License:        GPLv3+
URL:            http://www.joansala.com/auale
Source0:        http://www.joansala.com/auale/packages/1.1/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-cairo
Requires:       python3-gobject3
Recommends:     sdl2_mixer

%description
Aualé is a graphical user interface for the popular Oware Abapa board
game. It may be used to analyze, record and share your own mancala
games or to play against the computer.

This interface communicates with an oware engine through an adapted
version of the Universal Chess Interface protocol, which makes it
suitable for use with multiple mancala playing programs. Although,
currently only the Aalina game engine supports this protocol.

%prep
%setup -q
%autopatch -p1

%build
pushd src/auale
%py3_build
popd

%install
pushd src/auale
%py3_install -- --install-lib=%{_gamesdatadir}/%{name}
popd

# __main__.py is the game launcher
install -d %{buildroot}%{_gamesbindir}
ln -s %{_gamesdatadir}/%{name}/__main__.py %{buildroot}%{_gamesbindir}/%{name}
sed -i 's/env python/env python3/' %{buildroot}%{_gamesdatadir}/%{name}/__main__.py
chmod +x %{buildroot}%{_gamesdatadir}/%{name}/__main__.py

# Install dist files
pushd res/share
install -D -m644 applications/%{name}.desktop \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m644 glib-2.0/schemas/com.joansala.%{name}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/com.joansala.%{name}.gschema.xml
install -D -m644 man/man6/%{name}.6 \
    %{buildroot}%{_mandir}/man6/%{name}.6
install -D -m644 mime/packages/%{name}.xml \
    %{buildroot}%{_datadir}/mime/packages/%{name}.xml
install -D -m644 icons/hicolor/scalable/mimetypes/text-x-oware-ogn.svg \
    %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes/text-x-oware-ogn.svg
install -D -m644 icons/hicolor/scalable/apps/%{name}.svg \
    %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
popd

# Move installed locales
mv %{buildroot}%{_gamesdatadir}/%{name}/res/messages %{buildroot}%{_datadir}/locale

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/com.joansala.%{name}.gschema.xml
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/text-x-oware-ogn.svg
%{_mandir}/man6/%{name}.6*


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.1.2-3.mga9
+ Revision: 1821835
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.1.2-2.mga8
+ Revision: 1520077
- Mageia 8 Mass Rebuild

* Sun Nov 04 2018 daviddavid <daviddavid> 1.1.2-1.mga7
+ Revision: 1328070
- new version: 1.1.2

* Tue Sep 18 2018 umeabot <umeabot> 1.1.0-7.mga7
+ Revision: 1262077
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1.0-6.mga7
+ Revision: 1259972
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1.0-5.mga7
+ Revision: 1259784
- Mageia 7 Mass Rebuild

* Sat Jan 28 2017 daviddavid <daviddavid> 1.1.0-4.mga6
+ Revision: 1083833
- let's use fixed python macros with one or more arguments
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Nov 23 2015 philippem <philippem> 1.1.0-2.mga6
+ Revision: 905081
- pass parameters to py3_install
+ akien <akien>
- Build with python3
- Move translations to %%_datadir/locale

* Sat Nov 14 2015 akien <akien> 1.1.0-1.mga6
+ Revision: 903131
- Version 1.1.0

* Thu Sep 17 2015 tv <tv> 1.0-4.mga6
+ Revision: 880201
- make it noarch thus really fixing empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 1.0-3.mga6
+ Revision: 875063
- Fix build with new rpm ( empty debuginfo)

* Mon Dec 01 2014 akien <akien> 1.0-2.mga5
+ Revision: 800154
- Recommends sdl2_mixer for sound support

* Sat Nov 29 2014 akien <akien> 1.0-1.mga5
+ Revision: 799856
- imported package auale

